﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;

namespace ICallisto
{
    /// <summary>Decoded hashlink object</summary>
    public interface IChannelObject
    {
        /// <summary>Chatroom name</summary>
        String Name { get; set; }
        /// <summary>Chatroom topic [depreciated]</summary>
        String Topic { get; set; }
        /// <summary>Chatroom external ip address</summary>
        IPAddress ExternalIP { get; set; }
        /// <summary>Chatroom local ip address [depreciated]</summary>
        IPAddress LocalIP { get; set; }
        /// <summary>Chatroom data port</summary>
        ushort Port { get; set; }
    }
}
