﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ICallisto
{
    /// <summary>Sandboxed Private Message Object</summary>
    public interface IPMObject
    {
        /// <summary>Check if PM text contains key words</summary>
        bool Contains(String text);
        /// <summary>Remove key words from PM text</summary>
        void Remove(String text);
        /// <summary>Replace key words from PM text</summary>
        void Replace(String old_text, String new_text);
    }
}
