﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ICallisto
{
    /// <summary>Script Credentials</summary>
    public interface IScript
    {
        /// <summary>Get script level</summary>
        int ScriptLevel { get; }
        /// <summary>Get script loop infinite setting</summary>
        bool ScriptInfinite { get; }
        /// <summary>Get script in room capability setting</summary>
        bool ScriptInRoom { get; }
        /// <summary>Get script capability setting</summary>
        bool ScriptEnabled { get; }
    }
}
