﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ICallisto
{
    /// <summary>Server rejection types</summary>
    public enum NativeRejectionType
    {
        /// <summary>User is banned</summary>
        Banned = 0,
        /// <summary>User's name is already taken</summary>
        NameInUse = 1,
        /// <summary>User's attempts to rejoin too quickly</summary>
        LoginFlood = 2,
        /// <summary>Too many clients connected from this IP address</summary>
        ClientFlood = 3,
        /// <summary>A script or plugin is denying the user access</summary>
        Other = 4
    }
}
