﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Diagnostics;
using System.IO;

namespace callisto
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            try
            {
                Application.Run(new Form1());
            }
            catch (Exception e)
            {
                DumpException(e);
                throw e;
            }
        }

        static void DumpException(Exception e)
        {
            String str = DateTime.Now.ToShortDateString() + " " +
                DateTime.Now.ToShortTimeString() + "\r\n";

            str += ("version: " + About.CALLISTO_VERSION + "\r\n");
            str += ("exception: " + e.Message + "\r\n");
            str += ("trace: " + e.StackTrace + "\r\n");
            str += "-+-+- report ends -+-+-\r\n";

            try
            {
                if (!File.Exists("dumplog.txt"))
                {
                    using (StreamWriter s = File.CreateText("dumplog.txt"))
                        s.Write(str);
                }
                else
                {
                    using (StreamWriter s = File.AppendText("dumplog.txt"))
                        s.Write(str);
                }
            }
            catch { }
        }
    }
}

/*    Process callisto = Process.GetCurrentProcess();

    if (callisto.ProcessName != "callisto")
        return;

    int counter = 0;

    foreach (Process p in Process.GetProcesses())
        if (p.ProcessName == "callisto")
            if (++counter > 1)
                return;
    */