﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Threading;
using System.Windows.Forms;
using System.IO;
using System.Diagnostics;

namespace callisto
{
    class UpdateChecker
    {
        public UpdateChecker()
        {
            Thread t = new Thread(new ThreadStart(this.Worker));
            t.Start();
        }

        private void Worker()
        {
            try
            {
                WebRequest request = WebRequest.Create("http://oobe.arca-eclipse.com/ver.txt");
                WebResponse response = request.GetResponse();

                using (Stream stream = response.GetResponseStream())
                {
                    using (StreamReader reader = new StreamReader(stream))
                    {
                        int latest;

                        if (int.TryParse(reader.ReadToEnd(), out latest))
                        {
                            int current = int.Parse(About.CALLISTO_VERSION.Replace(".", String.Empty));

                            if (latest > current)
                            {
                                DialogResult d = MessageBox.Show("There is a newer version of Callisto available.  Would you like to visit the download site now?",
                                    "Callisto Update", MessageBoxButtons.YesNo, MessageBoxIcon.Question);

                                if (d == DialogResult.Yes)
                                {
                                    try
                                    {
                                        Process.Start("http://oobe.arca-eclipse.com/");
                                    }
                                    catch { }
                                }
                            }
                            else MessageBox.Show("You are running the most recent version of Callisto.", "Callisto Update",
                                MessageBoxButtons.OK, MessageBoxIcon.Information);
                        }
                        else throw new Exception();
                    }
                }

                response.Close();
            }
            catch
            {
                MessageBox.Show("Unable to connect to the Update Server.", "Callisto Update",
                    MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
    }
}
