﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;

namespace ICallisto
{
    /// <summary>Linked chatroom object</summary>
    public interface ILink
    {
        /// <summary>Get linked room's hashlink</summary>
        String Hashlink { get; }
        /// <summary>Get linked room's user count</summary>
        ushort UserCount { get; }
        /// <summary>Get linked room's name</summary>
        String Name { get; }
        /// <summary>Get linked room's ip address</summary>
        IPAddress ExternalIP { get; }
        /// <summary>Get linked room's port</summary>
        ushort Port { get; }
        /// <summary>Get current link mode</summary>
        LinkMode Mode { get; }
    }
}
