﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Net;
using System.Threading;
using ICallisto;

namespace callisto
{
    class Proxies
    {
        private static List<IPAddress> items = new List<IPAddress>();
        private static Thread thread;

        public static void Load()
        {
            try
            {
                List<byte> list = new List<byte>(File.ReadAllBytes(Settings.Path + "proxy"));
                items.Clear();

                while (list.Count >= 4)
                {
                    items.Add(new IPAddress(list.GetRange(0, 4).ToArray()));
                    list.RemoveRange(0, 4);
                }
            }
            catch { }
        }

        public static void Update()
        {
            thread = new Thread(new ThreadStart(Worker));
            thread.Start();
        }

        public static void AddNonTorProxy(UserObject userobj)
        {
            if (!items.Contains(userobj.external_ip))
            {
                items.Add(userobj.external_ip);
                List<byte> list = new List<byte>();

                foreach (IPAddress ip in items)
                    list.AddRange(ip.GetAddressBytes());

                try
                {
                    File.WriteAllBytes(Settings.Path + "proxy", list.ToArray());
                }
                catch { }
            }
        }

        private static String[] HotspotShield = new String[]
        {
            "46.16.",
            "64.55.",
            "69.22.",
            "69.162.",
            "69.167.",
            "74.115.",
            "128.241.",
            "140.174.",
            "204.2.",
            "206.14.",
            "209.107.",
            "199.255."
        };

        private static String[] CyberGhost = new String[]
        {
            "31.210.102.38",
            "46.4.62.16",
            "67.221.255.12",
            "74.82.218.250",
            "77.245.78.10",
            "79.168.9.111",
            "83.142.226.101",
            "85.195.76.6",
            "89.217.238.",
            "95.141.",
            "95.142.",
            "95.143.",
            "95.215.63.29",
            "109.74.3.24",
            "124.248.202.119",
            "174.36.47.170",
            "176.227.194.146",
            "188.227.180.2",
            "209.239.120.120",
            "216.185.105.34",
            "108.61.74.99"
        };

        public static bool IsProxy(IUser userobj)
        {
            String str = userobj.ExternalIP.ToString();

            foreach (String hs in HotspotShield)
                if (str.StartsWith(hs))
                    return true;

            foreach (String cg in CyberGhost)
                if (str.StartsWith(cg))
                    return true;

            return items.Contains(userobj.ExternalIP);
        }

        private static void Worker()
        {
            try
            {
                HttpWebRequest request = (HttpWebRequest)WebRequest.Create("http://proxy.org/tor_blacklist.txt");
                request.UserAgent = "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; WOW64; SLCC1; .NET CLR 2.0.50727; .NET CLR 3.0.04506; Media Center PC 5.0)";
                request.Timeout = 10000;
                WebResponse response = request.GetResponse();
                Stream stream = response.GetResponseStream();
                StreamReader reader = new StreamReader(stream);

                while (!reader.EndOfStream)
                {
                    String line = reader.ReadLine();

                    if (line.StartsWith("RewriteCond %{REMOTE_ADDR} ^"))
                    {
                        line = line.Substring(28);
                        line = line.Replace("[OR]", String.Empty);
                        line = line.Replace("$", String.Empty);
                        line = line.Replace("\\", String.Empty);
                        line = line.Trim();
                        IPAddress ip;

                        if (IPAddress.TryParse(line, out ip))
                            if (!items.Contains(ip))
                                items.Add(ip);
                    }
                }

                reader.Close();
                stream.Flush();
                stream.Close();
                response.Close();

                List<byte> list = new List<byte>();

                foreach (IPAddress ip in items)
                    list.AddRange(ip.GetAddressBytes());

                File.WriteAllBytes(Settings.Path + "proxy", list.ToArray());
            }
            catch { }
        }
    }
}
