﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.IO;
using System.Xml;
using System.Diagnostics;
using System.Net;
using System.Drawing;
using System.Drawing.Imaging;
using System.Text;

namespace callisto
{
    class Settings
    {
        public const ushort LINK_PROTO = 3060;
        public const String SERVER_VERSION = "Callisto Project";

        public static bool CAN_CUSTOM_NAME = false;

        public static bool CanSave;
        public static String Path;
        public static String BotName;

        public static String ServerName;
        public static int ServerPort;
        public static int ServerLanguage;
        public static IPAddress ServerIP;
        public static bool ShouldList;
        public static bool RoomLinking;
        public static bool AdminLinking;
        public static uint StartTime;
        public static String url_address;
        public static String url_text;
        public static String _topic;
        public static bool ServerRunning;
        public static bool show_logo;
        public static bool auto_start;
        public static bool auto_load;

        public static int script_level;
        public static bool js_enabled;
        public static bool js_infinite_enabled;
        public static bool js_inroom_enabled;

        public static IPAddress udp_ip;
        public static AresFont font;

        public static bool enable_vc;
        public static bool enable_vc_hq;
        public static bool allow_dc_old;
        public static bool allow_dc;

        public static bool allow_silverlight;
        public static bool ban_spambots;
        public static bool local_auto_login;

        public static byte[] botav;

        public static bool allow_custom_emotes;
        public static bool allow_filesharing;
        public static bool allow_room_scribbles;

        private static void BuildBotav()
        {
            try
            {
                using (Bitmap bmp = Properties.Resources.botav)
                {
                    using (MemoryStream ms = new MemoryStream())
                    {
                        ImageCodecInfo info = new List<ImageCodecInfo>(ImageCodecInfo.GetImageEncoders()).Find(i => i.MimeType == "image/jpeg");
                        EncoderParameters encoding = new EncoderParameters();
                        encoding.Param[0] = new EncoderParameter(System.Drawing.Imaging.Encoder.Quality, 100L);
                        bmp.Save(ms, info, encoding);
                        botav = ms.ToArray();
                    }
                }
            }
            catch { botav = null; }
        }

        public static String ib0t_loc = IPAddress.Loopback.ToString();
        

        public static void Load()
        {
            foreach (IPAddress ip in Dns.GetHostEntry(Dns.GetHostName()).AddressList)
                if (ip.AddressFamily == System.Net.Sockets.AddressFamily.InterNetwork)
                {
                    ib0t_loc = ip.ToString();
                    break;
                }

            BuildBotav();
            ServerRunning = false;
            ServerName = "My Callisto Room";
            _topic = "Welcome to my Callisto room";
            ServerPort = 24680;
            ServerLanguage = 5;
            ServerIP = IPAddress.Loopback;
            ShouldList = true;
            RoomLinking = false;
            AdminLinking = false;
            show_logo = true;
            auto_load = false;
            auto_start = false;
            script_level = 3;
            js_enabled = true;
            js_infinite_enabled = false;
            js_inroom_enabled = true;
            udp_ip = IPAddress.Any;
            font = new AresFont();
            enable_vc = true;
            enable_vc_hq = false;
            allow_dc_old = false;
            allow_dc = true;
            BotName = "Callisto";
            allow_custom_emotes = true;
            allow_silverlight = false;
            ban_spambots = true;
            local_auto_login = true;
            allow_filesharing = true;
            allow_room_scribbles = false;

            Path = Environment.GetFolderPath(Environment.SpecialFolder.LocalApplicationData) + "\\" + Process.GetCurrentProcess().ProcessName;

            if (!Directory.Exists(Path))
                Directory.CreateDirectory(Path);

            Path += "\\";

            if (!Directory.Exists(Path + "Plugins"))
                Directory.CreateDirectory(Path + "Plugins");

            if (!Directory.Exists(Path + "Scripts"))
                Directory.CreateDirectory(Path + "Scripts");

            try
            {
                FileStream f = new FileStream(Path + "\\settings.xml", FileMode.Open);

                try
                {
                    XmlReader xml = XmlReader.Create(new StreamReader(f));

                    xml.MoveToContent();
                    xml.ReadSubtree().ReadToFollowing("callisto");
                    xml.ReadToFollowing("settings");
                    xml.ReadSubtree().ReadToFollowing("ServerName");
                    ServerName = Encoding.UTF8.GetString(Convert.FromBase64String(xml.ReadElementContentAsString()));
                    xml.ReadToFollowing("ServerTopic");
                    _topic = Encoding.UTF8.GetString(Convert.FromBase64String(xml.ReadElementContentAsString()));
                    xml.ReadToFollowing("ServerPort");
                    ServerPort = xml.ReadElementContentAsInt();
                    xml.ReadToFollowing("ServerLanguage");
                    ServerLanguage = xml.ReadElementContentAsInt();
                    xml.ReadToFollowing("ServerIP");
                    ServerIP = new IPAddress(Convert.FromBase64String(xml.ReadElementContentAsString()));
                    xml.ReadToFollowing("ShouldList");
                    ShouldList = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("RoomLinking");
                    RoomLinking = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("AdminLinking");
                    AdminLinking = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("show_logo");
                    show_logo = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("auto_load");
                    auto_load = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("auto_start");
                    auto_start = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("script_level");
                    script_level = xml.ReadElementContentAsInt();
                    xml.ReadToFollowing("js_enabled");
                    js_enabled = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("js_infinite_enabled");
                    js_infinite_enabled = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("js_inroom_enabled");
                    js_inroom_enabled = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("udp_ip");
                    udp_ip = new IPAddress(Convert.FromBase64String(xml.ReadElementContentAsString()));
                    xml.ReadToFollowing("enable_vc");
                    enable_vc = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("enable_vc_hq");
                    enable_vc_hq = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("allow_dc");
                    allow_dc_old = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("allow_dc2");
                    allow_dc = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("BotName");
                    BotName = Encoding.UTF8.GetString(Convert.FromBase64String(xml.ReadElementContentAsString()));
                    xml.ReadToFollowing("allow_custom_emotes");
                    allow_custom_emotes = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("allow_silverlight");
                    allow_silverlight = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("ban_spambots");
                    ban_spambots = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("local_auto_login");
                    local_auto_login = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("allow_filesharing");
                    allow_filesharing = xml.ReadElementContentAsBoolean();
                    xml.ReadToFollowing("allow_room_scribbles");
                    allow_room_scribbles = xml.ReadElementContentAsBoolean();

                    xml.Close();
                }
                catch { }

                f.Flush();
                f.Close();
            }
            catch { }

            enable_vc_hq = false;
        }

        public static bool Save()
        {
            if (!CanSave)
                return false;

            try
            {
                XmlWriterSettings appearance = new XmlWriterSettings();
                appearance.Indent = true;
                XmlWriter xml = XmlWriter.Create(Path + "\\settings.xml", appearance);

                xml.WriteStartDocument();
                xml.WriteStartElement("callisto");
                xml.WriteStartElement("settings");
                xml.WriteElementString("ServerName", Convert.ToBase64String(Encoding.UTF8.GetBytes(ServerName)));
                xml.WriteElementString("ServerTopic", Convert.ToBase64String(Encoding.UTF8.GetBytes(ServerTopic)));
                xml.WriteElementString("ServerPort", ServerPort.ToString());
                xml.WriteElementString("ServerLanguage", ServerLanguage.ToString());
                xml.WriteElementString("ServerIP", Convert.ToBase64String(ServerIP.GetAddressBytes()));
                xml.WriteElementString("ShouldList", ShouldList.ToString().ToLower());
                xml.WriteElementString("RoomLinking", RoomLinking.ToString().ToLower());
                xml.WriteElementString("AdminLinking", AdminLinking.ToString().ToLower());
                xml.WriteElementString("show_logo", show_logo.ToString().ToLower());
                xml.WriteElementString("auto_load", auto_load.ToString().ToLower());
                xml.WriteElementString("auto_start", auto_start.ToString().ToLower());
                xml.WriteElementString("script_level", script_level.ToString());
                xml.WriteElementString("js_enabled", js_enabled.ToString().ToLower());
                xml.WriteElementString("js_infinite_enabled", js_infinite_enabled.ToString().ToLower());
                xml.WriteElementString("js_inroom_enabled", js_inroom_enabled.ToString().ToLower());
                xml.WriteElementString("udp_ip", Convert.ToBase64String(udp_ip.GetAddressBytes()));
                xml.WriteElementString("enable_vc", enable_vc.ToString().ToLower());
                xml.WriteElementString("enable_vc_hq", enable_vc_hq.ToString().ToLower());
                xml.WriteElementString("allow_dc", allow_dc_old.ToString().ToLower());
                xml.WriteElementString("allow_dc2", allow_dc.ToString().ToLower());
                xml.WriteElementString("BotName", Convert.ToBase64String(Encoding.UTF8.GetBytes(BotName)));
                xml.WriteElementString("allow_custom_emotes", allow_custom_emotes.ToString().ToLower());
                xml.WriteElementString("allow_silverlight", allow_silverlight.ToString().ToLower());
                xml.WriteElementString("ban_spambots", ban_spambots.ToString().ToLower());
                xml.WriteElementString("local_auto_login", local_auto_login.ToString().ToLower());
                xml.WriteElementString("allow_filesharing", allow_filesharing.ToString().ToLower());
                xml.WriteElementString("allow_room_scribbles", allow_room_scribbles.ToString().ToLower());
                xml.WriteEndElement();
                xml.WriteEndElement();
                xml.WriteEndDocument();
                xml.Flush();
                xml.Close();
            }
            catch { }
            
            return true;
        }

        public static String[] Url
        {
            get { return new String[] { url_address, url_text }; }
            set
            {
                if (!value[0].TrimStart().StartsWith("file:"))
                {
                    url_address = value[0];
                    url_text = value[1];
                    Save();
                    UserPool.BroadcastToAll(ChatPacketHelpers.Url(url_address, url_text));
                    WebPool.BroadcastUrlUpdated(url_address, url_text);
                }
            }
        }

        public static String ServerTopic
        {
            get { return _topic; }
            set
            {
                _topic = value;

                while (Encoding.UTF8.GetByteCount(_topic) > 175)
                    _topic = _topic.Substring(0, _topic.Length - 1);

                Save();
                UserPool.BroadcastToAll(ChatPacketHelpers.Topic(_topic));
                WebPool.BroadcastTopicUpdated(_topic);
            }
        }

    }
}
