﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Net.Sockets;

namespace callisto
{
    class UdpFirewallObject
    {
        public Socket sock;
        public IPEndPoint address;
        public uint spawn;
        public uint cookie;

        public UdpFirewallObject(IPEndPoint address, int spawn, uint cookie)
        {
            this.cookie = cookie;
            this.address = address;
            this.spawn = (uint)spawn;
            this.sock = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
            this.sock.Blocking = false;
        }

        public void StartTest()
        {
            try
            {
                this.sock.Connect(this.address);
            }
            catch { }
        }

        public void Dispose()
        {
            try { this.sock.Disconnect(false); }
            catch { }
            try { this.sock.Shutdown(SocketShutdown.Both); }
            catch { }
            try { this.sock.Close(); }
            catch { }
        }

        public override bool Equals(object obj)
        {
            UdpFirewallObject temp = (UdpFirewallObject)obj;
            return temp.address.Address.Equals(this.address.Address) && temp.cookie == this.cookie;
        }

        public override int GetHashCode() { return base.GetHashCode(); }
    }
}
